Subject: Re: [PATCH net-next 0/9] XDP for NXP ENETC

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 01 Apr 2021 13:28:39 +0200

Vladimir Oltean <[email-masked]> writes:

> On Wed, Mar 31, 2021 at 10:20:18PM +0000, [email-masked] wrote:
>> Hello:
>>
>> This series was applied to netdev/net-next.git (refs/heads/master):
>>
>> On Wed, 31 Mar 2021 23:08:48 +0300 you wrote:
>> > From: Vladimir Oltean <[email-masked]>
>> >
>> > This series adds support to the enetc driver for the basic XDP primitives.
>> > The ENETC is a network controller found inside the NXP LS1028A SoC,
>> > which is a dual-core Cortex A72 device for industrial networking,
>> > with the CPUs clocked at up to 1.3 GHz. On this platform, there are 4
>> > ENETC ports and a 6-port embedded DSA switch, in a topology that looks
>> > like this:
>> >
>> > [...]
>>
>> Here is the summary with links:
>>   - [net-next,1/9] net: enetc: consume the error RX buffer descriptors in a dedicated function
>>     https://git.kernel.org/netdev/net-next/c/2fa423f5f0c6
>>   - [net-next,2/9] net: enetc: move skb creation into enetc_build_skb
>>     https://git.kernel.org/netdev/net-next/c/a800abd3ecb9
>>   - [net-next,3/9] net: enetc: add a dedicated is_eof bit in the TX software BD
>>     https://git.kernel.org/netdev/net-next/c/d504498d2eb3
>>   - [net-next,4/9] net: enetc: clean the TX software BD on the TX confirmation path
>>     https://git.kernel.org/netdev/net-next/c/1ee8d6f3bebb
>>   - [net-next,5/9] net: enetc: move up enetc_reuse_page and enetc_page_reusable
>>     https://git.kernel.org/netdev/net-next/c/65d0cbb414ce
>>   - [net-next,6/9] net: enetc: add support for XDP_DROP and XDP_PASS
>>     https://git.kernel.org/netdev/net-next/c/d1b15102dd16
>>   - [net-next,7/9] net: enetc: add support for XDP_TX
>>     https://git.kernel.org/netdev/net-next/c/7ed2bc80074e
>>   - [net-next,8/9] net: enetc: increase RX ring default size
>>     https://git.kernel.org/netdev/net-next/c/d6a2829e82cf
>>   - [net-next,9/9] net: enetc: add support for XDP_REDIRECT
>>     https://git.kernel.org/netdev/net-next/c/9d2b68cc108d
>>
>> You are awesome, thank you!
>> --
>> Deet-doot-dot, I am a bot.
>> https://korg.docs.kernel.org/patchwork/pwbot.html
>
> Let's play a drinking game, the winner is who doesn't get drunk every
> time Dave merges a 9-patch series with no review in less than two hours
> after it was posted :D

No thanks! I value my liver too much for that ;)

(I was wondering about whether there was some black magic going on here
that I had missed; glad to see it's not just me)

> Now in all seriousness, I'm very much open to receiving feedback
> still.

Good - sent you one comment on the REDIRECT support to start with :)

-Toke